Bug 122168 - Sound not configured properly or non-functional after install
Summary: Sound not configured properly or non-functional after install
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kudzu   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-05-01 08:55 UTC by Rick Richardson
Modified: 2014-03-17 02:44 UTC (History)
1 user (show)

Fixed In Version: fc3test3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-16 13:03:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/etc/modprobe.conf.dist from FC2T3 installation (5.35 KB, text/plain)
2004-05-03 10:01 UTC, Rick Richardson
no flags Details
/etc/modprobe.conf from fresh FC2T3 installation (16 bytes, text/plain)
2004-05-03 10:05 UTC, Rick Richardson
no flags Details

Description Rick Richardson 2004-05-01 08:55:10 UTC
Did a fresh installation (not upgrade) of Fedora Core 2 test3 on an
Intel D845PEBT2 mobo.  This mobo had previously run RH9.  When it ran
RH9, the only issue with the sound driver was that the sound was
coming out of the wrong jack (had to plug the speakers into the rear
jack).

With FC2-test3, we don't even get that far.  Here is what the
installer configured...

$ lsmod
Module                  Size  Used by
snd_pcm_oss            42532  0 
snd_pcm                82568  1 snd_pcm_oss
snd_page_alloc          8068  1 snd_pcm
snd_timer              25092  1 snd_pcm
snd_mixer_oss          13952  1 snd_pcm_oss
snd                    43748  4
snd_pcm_oss,snd_pcm,snd_timer,snd_mixer_oss
soundcore               7520  1 snd

But it does not work at all anymore....

$ ls -l /dev/dsp*
crw-------  1 rick root 14,  3 Feb 23 15:02 /dev/dsp
lrwxrwxrwx  1 root root      3 Apr 30 17:38 /dev/dsp0 -> dsp
crw-------  1 rick root 14, 19 Feb 23 15:02 /dev/dsp1
crw-------  1 rick root 55,  0 Feb 23 15:02 /dev/dsp56k
$ root play english.au
sox: Can't open output file '/dev/dsp': No such device
$

Comment 1 Bill Nottingham 2004-05-03 00:53:39 UTC
What's your /etc/modprobe.conf and /etc/modprobe.conf.dist look like?

Comment 2 Rick Richardson 2004-05-03 10:01:47 UTC
Created attachment 99902 [details]
/etc/modprobe.conf.dist from FC2T3 installation

Comment 3 Rick Richardson 2004-05-03 10:05:57 UTC
Created attachment 99903 [details]
/etc/modprobe.conf from fresh FC2T3 installation

Comment 4 Bill Nottingham 2004-05-03 18:52:28 UTC
Did you do a network install?


Comment 5 Rick Richardson 2004-05-03 18:57:31 UTC
I insalled from the FC2T3 DVD image that I got from the bittorent.

Comment 6 Rick Richardson 2004-10-16 13:03:36 UTC
This is fixed in fc3test3.  Sound is working properly, and coming out
of the correct jack as well.  Thank you.


Note You need to log in before you can comment on or make changes to this bug.